<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a href="{:url('Plugin/index')}">{:lang('ADMIN_PLUGIN_INDEX')}</a></li>
        <!--<if condition="class_exists('\app\admin\controller\AppStoreController')">
            <li><a href="{:url('AppStore/plugins')}">插件市场</a></li>
        </if>-->
        <!--<li>
            <a href="http://www.thinkcmf.com/faq.html?url=https://www.kancloud.cn/thinkcmf/faq/493510" target="_blank">插件离线安装<i
                    class="fa fa-question-circle"></i></a>
        </li>
        <li><a href="http://www.thinkcmf.com/topic/index/index/cat/9.html" target="_blank">插件交流</a></li>
        <li><a href="https://www.kancloud.cn/thinkcmf/doc5_1/957872" target="_blank">插件文档</a></li>-->
    </ul>
    <form method="post" class="js-ajax-form margin-top-20">
        <php>
            $status=array("1"=>lang("ENABLED"),"0"=>lang("DISABLED"),"3"=>lang('NOT_INSTALLED'));
        </php>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th>{:lang('PLUGIN_NAME')}</th>
                <th>{:lang('PLUGIN_IDENTIFIER')}</th>
                <th>{:lang('DESCRIPTION')}</th>
<!--                <th>{:lang('AUTHOR')}</th>-->
                <th>{:lang('VERSION_NUMBER')}</th>
<!--                <th width="60">{:lang('STATUS')}</th>-->
                <th width="220">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="plugins" item="vo">
                <tr>
                    <td>{$vo.title}</td>
                    <td><span class="label label-info">{$vo.name}</span></td>
                    <td>{$vo.description}</td>
<!--                    <td>{$vo.author}</td>-->
                    <td><span class="label label-success">{$vo.version}</span></td>
<!--                    <td>{$status[$vo['status']]}</td>-->
                    <td>
                        <if condition="$vo['status']==3">
                            <a class="btn btn-xs btn-primary js-ajax-dialog-btn"
                               href="{:url('plugin/install',array('name'=>$vo['name']))}"
                               data-msg="{:lang('CONFIRM_INSTALL_PLUGIN')}">{:lang('INSTALL')}</a>
                            <else/>
                            <php>$config=json_decode($vo['config'],true);</php>
                            <if condition="!empty($config)">
                                <empty name="config.custom_config">
                                    <a class="btn btn-xs btn-primary"
                                       href="{:url('plugin/setting',array('id'=>$vo['id']))}">{:lang('SET_UP')}</a>
                                    <else/>
                                    <a class="btn btn-xs btn-primary"
                                       href="{:cmf_plugin_url($vo['name'].'://AdminIndex/setting')}">{:lang('SET_UP')}</a>
                                </empty>
                                <else/>
                                <a class="btn btn-xs btn-primary disabled" href="javascript:;">{:lang('SET_UP')}</a>
                            </if>

                            <!--<if condition="!empty($vo['has_admin'])">
                                <a class="btn btn-xs btn-info"
                                   href="javascript:parent.openapp('{:cmf_plugin_url($vo['name'].'://AdminIndex/index')}','plugin_{$vo.name}','{$vo.title}')">管理</a>
                                <else/>
                                <a class="btn btn-xs btn-info disabled" href="javascript:;">管理</a>
                            </if>

                            <a class="btn btn-xs btn-success js-ajax-dialog-btn"
                               href="{:url('plugin/update',array('name'=>$vo['name']))}"
                               data-msg="{:lang('CONFIRM_UPDATE_PLUGIN')}">{:lang('UPDATE')}</a>

                            <if condition="$vo['status']==0">
                                <a class="btn btn-xs btn-success js-ajax-dialog-btn"
                                   href="{:url('plugin/toggle',array('id'=>$vo['id'],'enable'=>1))}"
                                   data-msg="{:lang('CONFIRM_ENABLE_PLUGIN')}">{:lang('ENABLE')}</a>
                                <else/>
                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn"
                                   href="{:url('plugin/toggle',array('id'=>$vo['id'],'disable'=>1))}"
                                   data-msg="{:lang('CONFIRM_DISABLE_PLUGIN')}">{:lang('DISABLED')}</a>
                            </if>

                            <a class="btn btn-xs btn-danger js-ajax-dialog-btn"
                               href="{:url('plugin/uninstall',array('id'=>$vo['id']))}"
                               data-msg="{:lang('CONFIRM_UNINSTALL_PLUGIN')}">{:lang('UNINSTALL')}</a>-->
                        </if>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
</body>
</html>
